List your bookings
curl --request GET \
--url https://api.ornn.com/v1/markets/bookings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ornn.com/v1/markets/bookings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ornn.com/v1/markets/bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ornn.com/v1/markets/bookings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ornn.com/v1/markets/bookings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ornn.com/v1/markets/bookings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ornn.com/v1/markets/bookings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"bookings": [
{
"bookingId": "dddddddd-dddd-4ddd-8ddd-dddddddddddd",
"listingId": "eeeeeeee-eeee-4eee-8eee-eeeeeeeeeeee",
"listingTermId": "88888888-8888-4888-8888-888888888888",
"startsAt": "2026-10-24T00:00:00Z",
"endsAt": "2026-10-27T00:00:00Z",
"pricePerGpuHourMicroUsd": 4200000,
"downPaymentCents": 0,
"gpus": 8,
"nodes": 1,
"status": "held",
"cancelReason": null,
"createdAt": "2026-10-20T15:00:00Z",
"isMine": true
}
]
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}List your bookings
Lists your organization’s 200 most recent bookings that have not started, newest first, including recently cancelled ones. When a booking starts it becomes the reservation with the same ID and leaves this list; read it with GET /commerce/reservations/.
GET
/
v1
/
markets
/
bookings
List your bookings
curl --request GET \
--url https://api.ornn.com/v1/markets/bookings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ornn.com/v1/markets/bookings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ornn.com/v1/markets/bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ornn.com/v1/markets/bookings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ornn.com/v1/markets/bookings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ornn.com/v1/markets/bookings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ornn.com/v1/markets/bookings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"bookings": [
{
"bookingId": "dddddddd-dddd-4ddd-8ddd-dddddddddddd",
"listingId": "eeeeeeee-eeee-4eee-8eee-eeeeeeeeeeee",
"listingTermId": "88888888-8888-4888-8888-888888888888",
"startsAt": "2026-10-24T00:00:00Z",
"endsAt": "2026-10-27T00:00:00Z",
"pricePerGpuHourMicroUsd": 4200000,
"downPaymentCents": 0,
"gpus": 8,
"nodes": 1,
"status": "held",
"cancelReason": null,
"createdAt": "2026-10-20T15:00:00Z",
"isMine": true
}
]
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}{
"code": "<string>",
"detail": "<string>"
}Authorizations
Create an organization API key in Account Settings > Developer. Do not send this key to the Kubernetes API server.
Response
Your bookings waiting to start.
Bookings, in the order of the legs when returned from a purchase.
Show child attributes
Show child attributes
Was this page helpful?